<?php
if (!ini_get("register_globals"))
{
@import_request_variables('GPC');
}
foreach ($_GET as $secvalue)
{
if ((eregi("<[^>]*script*\"?[^>]*>", $secvalue)) || (eregi("<[^>]*\"?[^>]*>", $secvalue)) || (eregi("<[^>]*object*\"?[^>]*>", $secvalue)) || (eregi("<[^>]*php*\"?[^>]*>", $secvalue)) || (eregi("<[^>]*iframe*\"?[^>]*>", $secvalue)) || (eregi("<[^>]*applet*\"?[^>]*>", $secvalue)) || (eregi("<[^>]*meta*\"?[^>]*>", $secvalue)) || (eregi("<[^>]*style*\"?[^>]*>", $secvalue)) || (eregi("<[^>]*form*\"?[^>]*>", $secvalue)) || (eregi("<[^>]*img*\"?[^>]*>", $secvalue)) || (eregi("\([^>]*\"?[^)]*\)", $secvalue)) || (eregi("\"", $secvalue)) || (eregi("[\/]", $secvalue)) || (eregi("[\\]", $secvalue)) || (eregi("[<]", $secvalue)) || (eregi("[>]", $secvalue)) || (eregi("[#]", $secvalue)) || (eregi("[$]", $secvalue)))
{
die ("Попытка взлома! <b>Доступ закрыт!</b>");
}
}
foreach ($_POST as $secvalue)
{
if ((eregi("<[^>]*script*\"?[^>]*>", $secvalue)) || (eregi("<[^>]*\"?[^>]*>", $secvalue)) || (eregi("<[^>]*object*\"?[^>]*>", $secvalue)) || (eregi("<[^>]*php*\"?[^>]*>", $secvalue)) || (eregi("<[^>]*iframe*\"?[^>]*>", $secvalue)) || (eregi("<[^>]*applet*\"?[^>]*>", $secvalue)) || (eregi("<[^>]*meta*\"?[^>]*>", $secvalue)) || (eregi("<[^>]*style*\"?[^>]*>", $secvalue)) || (eregi("<[^>]*form*\"?[^>]*>", $secvalue)) || (eregi("<[^>]*img*\"?[^>]*>", $secvalue)) || (eregi("\([^>]*\"?[^)]*\)", $secvalue)) || (eregi("\"", $secvalue)) || (eregi("[\/]", $secvalue)) || (eregi("[\\]", $secvalue)) || (eregi("[<]", $secvalue)) || (eregi("[>]", $secvalue)) || (eregi("[#]", $secvalue)) || (eregi("[$]", $secvalue)))
{
die ("Программе передан запрещённый символ. <b>Доступ закрыт!</b>");
}
}

if(strlen($_SERVER['QUERY_STRING'])>150)
{
die("Попытка взлома!<br><b>Доступ закрыт!</b>");
}
if(!file_exists('MySql/base123/lic.dat')){
echo'Отстутствует лицензия для домена '.$_SERVER['HTTP_HOST'].'!
Пожалуйста получите лицензию для дальнейшей работы с данным скриптом для приобретения лицензии обратитесь по ICQ: 602-077-592 у автора Bishop (Лицензия безплатная)
';
exit();
}else{
$switch = @file("MySql/base123/lic.dat");
$tidw = explode("|", $switch[0]);
$site = $_SERVER['HTTP_HOST'];
$unpar = ByBishop;
if($tidw[0] != $unpar) {
echo'Отстутствует лицензия для домена '.$_SERVER['HTTP_HOST'].'!
Пожалуйста получите лицензию для дальнейшей работы с данным скриптом для приобретения лицензии обратитесь по ICQ: 602-077-592 у автора Bishop (Лицензия безплатная)
';
exit();
}}
?>
